<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: TestOfStatisticsCommon.php 1118 2004-12-09 12:49:59Z andrew $
*/

/**
 * @package    MaxDal
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once maintenancePath . '/maintenance-common.php';
require_once maintenancePath . '/libraries/max/Dal/StatisticsCommon.php';
require_once maintenancePath . '/libraries/pear/Date.php';
require_once maintenancePath . '/libraries/pear/Log.php';

/**
 * A class for testing the Dal_Statistics_Common class.
 */
class Dal_TestOfStatisticsCommon extends UnitTestCase
{
    
    /**
     * The constructor method.
     */
    function Dal_TestOfStatisticsCommon()
    {        
        $this->UnitTestCase();
    }
    
    /**
     * Tests the constructor method.
     */
    function testConstructor()
    {
        debug('Running test', PEAR_LOG_INFO);
        $dsc = new Dal_Statistics_Common();
        // Only test the constructor code specific to the Dal_Statistics_Common class
        $this->assertEqual(get_class($dsc->tables), 'dal_table_core');
        $this->assertEqual(get_class($dsc->tempTables), 'maintenance_table_statistics');
    }
    
}

?>